Subject: Re: Connecting to "PCI command write" interrupt on 4xx platforms

From: Matthias Fuchs <[email-masked]>
Date: Mon, 3 Nov 2008 14:45:00 +0100

On Monday 03 November 2008 11:57, Benjamin Herrenschmidt wrote:
> On Mon, 2008-11-03 at 10:10 +0100, Matthias Fuchs wrote:
> > 
> > Adding this interrupt to the PCI node would make (logical) sense. But
> > on PCI adapter (add-in cards) designs we typically disable the PCI node
> > of the DT to disable PCI PnP. This should not prevent us from adding the
> > interrupt to the node but it looks a little bit weird to take an interrupt
> > from a disabled node, right?
> 
> You can make a pci-endpoint node that isn't detected as a host bridge.
> In fact, I think we have some way to even tell in the DT not to activate
> host bridge function on 44x nowadays no ? I dont remember for sure but
> it's easy enough to add.
We have endpoint support for PCIe and the possibility to disable PCI through the status
attribute.
> 
> > > the actual PCI bridge, then you can stick an interrupts property in the
> > > PCI host bridge node in the DT just fine.
> > The PCI node already contains the interrupt-map for the PCI interrupts.
> 
> Only relevant for master, not endpoint.
> 
> > Doesn't adding a further interrupt property cause some trouble with the PCI interrupts?
> 
> Not for endpoint.
I see.

I will try to add endpoint support for PCI as well. I would like to have a single PCI node and
let the device_type attribute decide if we are running in hostbridge or endpoint mode.

Matthias